---
title: RTL Support
page_title: RTL Support - DropDownList - Kendo UI for Vue
description: "Explore the RTL support offered by the Kendo UI DropDownList wrapper for Vue."
slug: rtl_support_dropdownlist
position: 10
---

# RTL Support

You can activate the right-to-left functionality by adding the `k-rtl` class to the container of the DropDownList.

If you use a [Kendo UI LESS-based theme](https://docs.telerik.com/kendo-ui/styles-and-layout/appearance-styling), register the `kendo.rtl.[min].css` file too.

The following example demonstrates how to utilize the RTL support for the DropDownList.

```html-preview
<div id="vueapp" class="vue-app">
    <div class="k-rtl">
        <kendo-dropdownlist :data-source="dataSourceArray"
                            :data-text-field="'text'"
                            :data-value-field="'value'">
        </kendo-dropdownlist>
    </div>
</div>
```
```js
Vue.use(DropdownsInstaller);

new Vue({
    el: "#vueapp",
    data: function() {
        return {
            dataSourceArray: [
                { text: 'Black', value: '1' },
                { text: 'Orange', value: '2' },
                { text: 'Grey', value: '3' }
            ]
        }
    }
})
```

## Suggested Links

* [Kendo UI DropDownList for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/dropdownlist/overview)
* [API Reference of the DropDownList Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/dropdownlist)
