---
title: Filtering
page_title: Filtering - MultiSelect - Kendo UI for Vue
description: "Filter the data while using the Kendo UI MultiSelect wrapper for Vue."
slug: filtering_multiselect
position: 3
---

# Filtering

The MultiSelect allows you to use the server filtering functionality to display a subset of data.

Server-filtering relies on the filtering capability of the [`serverFiltering`](https://docs.telerik.com/kendo-ui/api/javascript/data/datasource#configuration-serverFiltering) option of the [Kendo UI Data Source](https://docs.telerik.com/kendo-ui/framework/datasource/overview) component and the [`filter`](https://docs.telerik.com/kendo-ui/api/javascript/ui/multiselect/configuration/filter) configuration of the component.

You can use server filtering for displaying only a subset of data.

```html-preview
<div id="vueapp" class="vue-app">
    <kendo-datasource ref="datasource"
                      :type="'odata'"
                      :transport-read-url="'https://demos.telerik.com/kendo-ui/service/Northwind.svc/Products'"
                      :server-filtering="true">
    </kendo-datasource>
    <kendo-multiselect :data-source-ref="'datasource'"
                       :data-text-field="'ProductName'"
                       :data-value-field="'ProductID'"
                       :filter="'contains'"
                       :placeholder="'Select product'">
    </kendo-multiselect>
</div>
```
```js
Vue.use(DropdownsInstaller);
Vue.use(DataSourceInstaller);

new Vue({
    el: "#vueapp"
})
```

## Suggested Links

* [Kendo UI MultiSelect for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/multiselect/overview)
* [API Reference of the MultiSelect Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/multiselect)
