---
title: Tag Mode
page_title: Tag Mode - MultiSelect - Kendo UI for Vue
description: "Group the data during input while using the Kendo UI MultiSelect wrapper for Vue."
slug: tag_mode_multiselect
position: 6
---

# Tag Mode

The MultiSelect allows you to render one or more selected items as a single entry.

To apply the desired tag mode, use the `single` or `multiple` configurations.

```html-preview
<div id="vueapp" class="vue-app">
    <p>'Single' tag mode</p>
    <kendo-multiselect :data-source="dataSourceArray"
                        :data-text-field="'text'"
                        :data-value-field="'value'"
                        :tag-mode="'single'">
    </kendo-multiselect>
    <br />
    <br />
    <p>'Multiple' tag mode</p>
    <kendo-multiselect :data-source="dataSourceArray"
                        :data-text-field="'text'"
                        :data-value-field="'value'">
    </kendo-multiselect>
</div>
```
```js
Vue.use(DropdownsInstaller);

new Vue({
    el: "#vueapp",
    data: function() {
        return {
            multiselectValue: "",
            dataSourceArray: [
                { text: 'Baseball', value: '1' },
                { text: 'Basketball', value: '2' },
                { text: 'Cricket', value: '3' },
                { text: 'Football', value: '4' },
                { text: 'Tennis', value: '5' },
                { text: 'Volleyball', value: '6' }
            ]
        }
    }
})
```

## Suggested Links

* [Kendo UI MultiSelect for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/multiselect/overview)
* [API Reference of the MultiSelect Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/multiselect)
