---
title: Templates
page_title: Templates - MultiSelect - Kendo UI for Vue
description: "Customize the content of the suggested list items and the drop-down list elements of a Kendo UI MultiSelect wrapper for Vue."
slug: templates_multiselect
position: 8
---

# Templates

The MultiSelect provides full control over the way an item or a popup header is rendered by using the [Kendo UI templates](https://docs.telerik.com/kendo-ui/framework/templates/overview).

```html-preview
<div id="vueapp" class="vue-app">
    <kendo-multiselect :data-source="dataSourceArray"
                       :data-text-field="'text'"
                       :data-value-field="'value'"
                       :placeholder="'Select colors...'"
                       :item-template="itemTemplate">
    </kendo-multiselect>
</div>
```
```js
Vue.use(DropdownsInstaller);

new Vue({
    el: "#vueapp",
    data: {
        dataSourceArray: [
            { text: 'Black', value: '1' },
            { text: 'Orange', value: '2' },
            { text: 'Grey', value: '3' }
        ],
        itemTemplate: '<strong>#= value #</strong> - #= text #'
    }
})
```

## Suggested Links

* [Kendo UI MultiSelect for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/multiselect/overview)
* [API Reference of the MultiSelect Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/multiselect)
